[CentOS] xmms-flac missing dependency

Johnny Hughes johnny at centos.org
Tue Nov 11 19:30:08 UTC 2008


Marko Vojinovic wrote:
> I just tried to install the flac plugin for xmms, and failed. Google does
> not help. How to fix this? (btw, this is CentOS 5.2, fully updated)
> 
> [root at sith ~]# yum install xmms-flac
> Loading "fastestmirror" plugin
> Loading "priorities" plugin
> Loading mirror speeds from cached hostfile
>  * epel: scientificlinux.physik.uni-muenchen.de
>  * adobe-linux-i386: linuxdownload.adobe.com
>  * kbs-CentOS-Extras: centos.karan.org
>  * kbs-CentOS-Misc: centos.karan.org
>  * rpmforge: ftp-stud.fht-esslingen.de
>  * base: mirror.nsc.liu.se
>  * updates: mirror.nsc.liu.se
>  * centosplus: centosh.centos.org
>  * addons: mirror.nsc.liu.se
>  * extras: mirror.nsc.liu.se
> 1562 packages excluded due to repository priority protections
> Setting up Install Process
> Parsing package install arguments
> Resolving Dependencies
> --> Running transaction check
> ---> Package xmms-flac.i386 0:1.2.1-1.el5.rf set to be updated
> --> Processing Dependency: libFLAC.so.8 for package: xmms-flac
> --> Finished Dependency Resolution
> Error: Missing Dependency: libFLAC.so.8 is needed by package xmms-flac
> 
> [root at sith ~]# yum repolist
> Loading "fastestmirror" plugin
> Loading "priorities" plugin
> repo id              repo name                                 status
> addons               CentOS-5 - Addons                         enabled
> adobe-linux-i386     Adobe Systems Incorporated                enabled
> base                 CentOS-5 - Base                           enabled
> centosplus           CentOS-5 - Plus                           enabled
> epel                 Extra Packages for Enterprise Linux 5 -   enabled
> extras               CentOS-5 - Extras                         enabled
> kbs-CentOS-Extras    CentOS.Karan.Org-EL5 - Stable             enabled
> kbs-CentOS-Misc      CentOS.Karan.Org-EL5 - Stable             enabled
> rpmforge             Red Hat Enterprise 5 - RPMforge.net - da  enabled
> updates              CentOS-5 - Updates                        enabled
> 
> Best, :-)
> Marko

This is either a problem in the RPMFORGE repo ... OR ... a problem with
your yum-priorities settings blocking an rpm from RPMFORGE that you need.

You will need to determine which it is.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 251 bytes
Desc: OpenPGP digital signature
Url : http://lists.centos.org/pipermail/centos/attachments/20081111/2beb7fe4/signature.bin


More information about the CentOS mailing list